FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Check_Button Class Reference

A button with an "checkmark" to show its status. More...

`#include <Fl_Check_Button.H>`

Inheritance diagram for Fl_Check_Button:

List of all members.

## Public Member Functions
| Fl_Check_Button (int X, int Y, int W, int H, const char *L=0)
| Creates a new Fl_Check_Button widget using the given position, size and label string.

## Detailed Description

A button with an "checkmark" to show its status.

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for type() and when().

The Fl_Check_Button subclass displays its "ON" state by showing a "checkmark" rather than drawing itself pushed in.

Todo:

  Refactor Fl_Check_Button doxygen comments (add color() info etc?)

  Generate Fl_Check_Button.gif with visible checkmark.

## Constructor & Destructor Documentation

Fl_Check_Button::Fl_Check_Button | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

Creates a new Fl_Check_Button widget using the given position, size and label string.

Parameters:

  [in] | X,Y,W,H | position and size of the widget
  [in] | L | widget label, default is no label

The documentation for this class was generated from the following files:

- Fl_Check_Button.H
- Fl_Check_Button.cxx